%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define __python %{__python3}
%global _python_bytecompile_errors_terminate_build %nil

Summary:	Extra plugins for gedit
Name:		gedit-plugins
Version:     40.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit/ShippedPlugins
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: meson
BuildRequires: pkgconfig(python3)
BuildRequires: python3-gobject3
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: libxml2-utils
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: vala
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gtksourceview4-devel
BuildRequires: lib64harfbuzz-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64peas-devel
BuildRequires: lib64zeitgeist2.0-devel
Requires:	gedit
Requires:	python3-gobject3

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang gedit --with-gnome
%find_lang %name --with-gnome

cat gedit.lang >> %name.lang

%files -f %{name}.lang
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/*
%{_datadir}/metainfo
%{_datadir}/help


%changelog
* Fri May 07 2021 tex - 40.1-1pclos2021
- new version

* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Sat Nov 21 2020 tex - 3.38.1-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Fri Mar 06 2020 tex - 3.36.0-1pclos2020
- new version

* Thu Nov 21 2019 tex - 3.34.1-1pclos2019
- new version

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
+ Revision: 1438862
- new version 3.34.0
